Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_EMO_Factory Class Reference

`#include <Notify_Event_Manager_Objects_Factory.h>`

Inheritance diagram for TAO_Notify_EMO_Factory

[legend]
Collaboration diagram for TAO_Notify_EMO_Factory:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Notify_EMO_Factory ()
virtual TAO_Notify_Event_Manager* | create_event_manager (TAO_Notify_EventChannel_i* channel, CORBA::Environment &ACE_TRY_ENV) = 0
virtual TAO_Notify_Event_Map* | create_event_map (CORBA::Environment &ACE_TRY_ENV) = 0
virtual TAO_Notify_Event_Processor* | create_event_processor (TAO_Notify_Event_Manager* event_manager, CORBA::Environment &ACE_TRY_ENV) = 0
virtual TAO_Notify_Worker_Task* | create_source_eval_task (CORBA::Environment &ACE_TRY_ENV) = 0
virtual TAO_Notify_Worker_Task* | create_lookup_task (CORBA::Environment &ACE_TRY_ENV) = 0
virtual TAO_Notify_Worker_Task* | create_listener_eval_task (CORBA::Environment &ACE_TRY_ENV) = 0
virtual TAO_Notify_Worker_Task* | create_dispatching_task (CORBA::Environment &ACE_TRY_ENV) = 0
virtual TAO_Notify_Worker_Task* | create_updates_task (CORBA::Environment &ACE_TRY_ENV) = 0
virtual void | destroy_source_eval_task (TAO_Notify_Worker_Task* task) = 0
virtual void | destroy_lookup_task (TAO_Notify_Worker_Task* task) = 0
virtual void | destroy_listener_eval_task (TAO_Notify_Worker_Task* task) = 0
virtual void | destroy_dispatching_task (TAO_Notify_Worker_Task* task) = 0
virtual void | destroy_updates_task (TAO_Notify_Worker_Task* task) = 0
virtual void | print_values (void) = 0

## Constructor & Destructor Documentation

TAO_Notify_EMO_Factory::~TAO_Notify_EMO_Factory ( | )`[inline, virtual]`

## Member Function Documentation

virtual TAO_Notify_Worker_Task* TAO_Notify_EMO_Factory::create_dispatching_task ( | CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual TAO_Notify_Event_Manager* TAO_Notify_EMO_Factory::create_event_manager ( | TAO_Notify_EventChannel_i * channel,
| CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual TAO_Notify_Event_Map* TAO_Notify_EMO_Factory::create_event_map ( | CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual TAO_Notify_Event_Processor* TAO_Notify_EMO_Factory::create_event_processor ( | TAO_Notify_Event_Manager * event_manager,
| CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual TAO_Notify_Worker_Task* TAO_Notify_EMO_Factory::create_listener_eval_task ( | CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual TAO_Notify_Worker_Task* TAO_Notify_EMO_Factory::create_lookup_task ( | CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual TAO_Notify_Worker_Task* TAO_Notify_EMO_Factory::create_source_eval_task ( | CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual TAO_Notify_Worker_Task* TAO_Notify_EMO_Factory::create_updates_task ( | CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual void TAO_Notify_EMO_Factory::destroy_dispatching_task ( | TAO_Notify_Worker_Task * task )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual void TAO_Notify_EMO_Factory::destroy_listener_eval_task ( | TAO_Notify_Worker_Task * task )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual void TAO_Notify_EMO_Factory::destroy_lookup_task ( | TAO_Notify_Worker_Task * task )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual void TAO_Notify_EMO_Factory::destroy_source_eval_task ( | TAO_Notify_Worker_Task * task )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual void TAO_Notify_EMO_Factory::destroy_updates_task ( | TAO_Notify_Worker_Task * task )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

virtual void TAO_Notify_EMO_Factory::print_values ( | void )`[pure virtual]`

| Reimplemented in TAO_Notify_Default_EMO_Factory.

The documentation for this class was generated from the following file:

- Notify_Event_Manager_Objects_Factory.h